%define tddoc_version 2.0.0
%define documentation_version 2.0.0
%define ext_gui_version 2.0.0
%define parent_version 2.0.0
%define plugin_version 1.0.1
%define skin_version 2.0.0

Name:          rmock
Version:       2.0.2
Release:       %mkrel 2
Summary:       RMock - a Java test-double framework
Group:         Development/Java
License:       ASL 2.0
Url:           http://rmock.sourceforge.net/
# mkdir rmock && cd rmock
# cvs -d:pserver:anonymous@rmock.cvs.sourceforge.net:/cvsroot/rmock login
# cvs -z3 -d:pserver:anonymous@rmock.cvs.sourceforge.net:/cvsroot/rmock export -r HEAD com.agical.rdoc
# cvs -z3 -d:pserver:anonymous@rmock.cvs.sourceforge.net:/cvsroot/rmock export -r HEAD com.agical.rmock
# cvs -z3 -d:pserver:anonymous@rmock.cvs.sourceforge.net:/cvsroot/rmock export -r HEAD documentation
# cvs -z3 -d:pserver:anonymous@rmock.cvs.sourceforge.net:/cvsroot/rmock export -r HEAD lib
# cvs -z3 -d:pserver:anonymous@rmock.cvs.sourceforge.net:/cvsroot/rmock export -r HEAD rmock-ext-aspectj
# cvs -z3 -d:pserver:anonymous@rmock.cvs.sourceforge.net:/cvsroot/rmock export -r HEAD rmock-ext-gui
# cvs -z3 -d:pserver:anonymous@rmock.cvs.sourceforge.net:/cvsroot/rmock export -r HEAD rmock-framework
# cvs -z3 -d:pserver:anonymous@rmock.cvs.sourceforge.net:/cvsroot/rmock export -r HEAD rmock-maven-plugin
# cvs -z3 -d:pserver:anonymous@rmock.cvs.sourceforge.net:/cvsroot/rmock export -r HEAD rmock-skin
# cd .. && tar czf rmock-2.0.2-src-cvs-rHEAD20111022.tar.gz rmock
Source0:       rmock-2.0.2-src-cvs-rHEAD20111022.tar.gz

Patch0:        rmock-2.0.2-rmock-pom.patch
Patch1:        rmock-2.0.2-rdoc-pom.patch
Patch2:        rmock-2.0.2-rmock-plugin-pom.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: abbot
BuildRequires: ant
BuildRequires: antlr
BuildRequires: apache-commons-collections
BuildRequires: avalon-logkit
BuildRequires: cglib21
BuildRequires: fop
BuildRequires: junit
BuildRequires: velocity
BuildRequires: batik
BuildRequires: xmlgraphics-commons
BuildRequires: gnu-regexp
BuildRequires: javacc-maven-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-surefire-plugin

Requires:      abbot
Requires:      ant
Requires:      antlr
Requires:      apache-commons-collections
Requires:      avalon-logkit
Requires:      cglib21
Requires:      fop
Requires:      junit
Requires:      maven2
Requires:      velocity

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
RMock is a Java mock object framework to use with jUnit.
RMock has support for a setup-modify-run-verify workflow
when writing jUnit tests. It integrates better with IDE
refactoring support and allows designing classes and
interfaces in a true test-first fashion.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n rmock
%patch0 -p0
%patch1 -p0
%patch2 -p0

rm -rf lib/* rmock-ext-aspectj

sed -i "s|<groupId>abbot</groupId>|<groupId>net.sf.abbot</groupId>|" rmock-ext-gui/pom.xml

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
cd rmock-framework
mkdir -p $MAVEN_REPO_LOCAL/com/agical/rmock/parent/%{parent_version}
cp -pr parent_pom.xml $MAVEN_REPO_LOCAL/com/agical/rmock/parent/%{parent_version}/parent-%{parent_version}.pom
mvn-rpmbuild -e \
  -Dmaven.test.failure.ignore=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/%{name}
install -m 644 com.agical.rdoc/target/tddoc-%{tddoc_version}.jar \
  %{buildroot}%{_javadir}/%{name}/tddoc.jar

install -m 644 com.agical.%{name}/target/%{name}-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}.jar

install -m 644 documentation/target/documentation-%{documentation_version}.jar \
  %{buildroot}%{_javadir}/%{name}/documentation.jar

install -m 644 %{name}-ext-gui/target/%{name}-ext-gui-%{ext_gui_version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-ext-gui.jar

install -m 644 %{name}-maven-plugin/target/%{name}-maven-plugin-%{plugin_version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-maven-plugin.jar

install -m 644 %{name}-skin/target/%{name}-skin-%{skin_version}.jar \
  %{buildroot}%{_javadir}/%{name}/%{name}-skin.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{name}-framework/parent_pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_to_maven_depmap com.agical.%{name} parent %{parent_version} JPP/%{name} parent

##install -m 644 rmock-framework/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}_all.pom

install -m 644 com.agical.rdoc/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-tddoc.pom
%add_to_maven_depmap com.agical.%{name} tddoc %{tddoc_version} JPP/%{name} tddoc

install -m 644 com.agical.%{name}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_to_maven_depmap com.agical.%{name} %{name} %{version} JPP/%{name} %{name}

install -m 644 documentation/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-documentation.pom
%add_to_maven_depmap com.agical.%{name} documentation %{documentation_version} JPP/%{name} documentation

install -m 644 %{name}-ext-gui/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-ext-gui.pom
%add_to_maven_depmap com.agical.%{name} %{name}-ext-gui %{ext_gui_version} JPP/%{name} %{name}-ext-gui

install -m 644 %{name}-maven-plugin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-maven-plugin.pom
%add_to_maven_depmap com.agical.%{name} %{name}-maven-plugin %{plugin_version} JPP/%{name} %{name}-maven-plugin

install -m 644 %{name}-skin/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-skin.pom
%add_to_maven_depmap com.agical.%{name} %{name}-skin %{skin_version} JPP/%{name} %{name}-skin
%add_to_maven_depmap com.agical.%{name} %{name}-skin %{skin_version} JPP/%{name} %{name}-maven-plugin

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr %{name}-framework/target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/documentation.jar
%{_javadir}/%{name}/%{name}-ext-gui.jar
%{_javadir}/%{name}/%{name}-maven-plugin.jar
%{_javadir}/%{name}/%{name}-skin.jar
%{_javadir}/%{name}/%{name}.jar
%{_javadir}/%{name}/tddoc.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc rmock-framework/LICENSE.txt rmock-framework/README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Nov 11 2011 dmorgan <dmorgan> 2.0.2-2.mga2
+ Revision: 166374
- Add gnu-regexp as BuildRequire

  + gil <gil>
    - imported package rmock

